Supported Browsers and Other Technical Information
We are dedicated to providing a quality service for our visitors. We have attempted to support the operating systems and tools used by the majority of visitors to our site.
 
BLM's web site has been tested on a wide variety of systems and tools, and works best with:
  • Windows: 98, 2000, NT and XP: Microsoft Internet Explorer, version 5.0 and higher; Netscape, version 7.0 and higher; Firefox, version 1.0; Mozilla, version 1.5 and higher; and Opera, version 7.0 and higher
  • Macintosh: OS X and Panther: Apple Safari, version 1.2; Netscape, version 7.0 and higher; Microsoft Internet Explorer, version 5.2 and higher; Firefox, version 1.0; Opera, version 6.0 and higher; Mozilla, version 1.6 and higher
  • Linux: Konqueror 3.0.5 and higher; Mozilla 1.6 and higher; Netscape 7.0
Some visitors might experience difficulty when trying to access our site using other Internet browsers, operating systems and devices, such as hand held computers, cell phones and personal digital assistants.
 
To upgrade your web browser to a later version, please visit one of the sites below and download the appropriate software for your hardware platform:

Our web site is best viewed at a screen resolution of 1024x768 or greater.

For printers, we recommend that your right and left margins be set at 0.75" and that the "Headers" and "Footers" fields be empty in your browser's Page Setup settings.


BLM has implemented Transport Layer Security (TLS) on all of our secure web sites.  

If you do not have TLS 1.0 enabled in your browser, you will not be able to access our secure sites. Firefox and Internet Explorer 7.0 (IE7.0) have TLS automatically enabled. Other browsers require you to enable manually. TLS is a protocol that enables private communication between Users and Web Servers. When the user and server communicate, TLS ensures that no one can eavesdrop or tamper with any of the communication. TLS is the successor to the Secure Sockets Layer (SSL). To configure Internet Explorer to support TLS 1.0, follow these steps:

1. On the Tools menu, click Internet Options.
2. On the Advanced tab, under Security, make sure that the following check boxes are selected:
• Use SSL 2.0
• Use SSL 3.0
• Use TLS 1.0
3. Click Apply, and then click OK.  


For those of our users that are on Macintosh computers and wish to view videos that are in the WMV file format (our standard), please read the following: 

To view a wmv file Macintosh users will need to install a component into their QuickTime player. Microsoft offers a free QuickTime player for Windows Media files called "Flip4Mac" which allows wmv files to be played directly in QuickTime. It requires Mac OS x version 10.3.9 or later and QuickTime version 6.5 or later. Earlier versions of the Windows Media Player are also available for earlier versions of the Mac Operating System. Here's a link for the free download from Microsoft:  

http://www.microsoft.com/windows/windowsmedia/player/wmcomponents.mspx

Earlier Mac versions of the Windows Media Player can be downloaded from this site:

http://www.microsoft.com/mac/otherproducts/otherproducts.aspx?pid=windowsmedia

 


 

To our Firefox users. If you are having problems seeing the videos on our site, you probably need the Microsoft® Windows Media Player Firefox Plugin.  Click here to download it and click here to see why you need it (you will be taken to the Firefox support site).